# Flag Pack

This unofficial TaleSpire asset pack that adds an animated flag which can be retextured
using the Retexture plugin. Comes with sample tetxures.

## Change Log

1.0.0: Initial release

## Install

Use R2ModMan or similar installer to install this asset pack.

## Usage

Select mini. Use CMP Effect to apply flag content (using the name 'flag' without quotes). Use the Retexture plugin
to change the flag content (see Retexture Plugin for more details). This pack contains the following:

+------------------------+---------------------------------------------------------------------------------------------+
| Content Name           | Description                                                                                 |
+------------------------+---------------------------------------------------------------------------------------------+
| Flag                   | Base animated flag asset with default Lord Ashes texture                                    |
| FlagCanada             | Alternate texture with the Canadian flag                                                    |
| FlagLordAshes          | Alternate texture with the LordAshes flag (same as default)                                 |
| FlagPendragon          | Alternate texture with the Pendragon crest                                                  |
| FlagSkullAndCrossbones | Alternate texture with the Pendragon crest                                                  |
+------------------------+---------------------------------------------------------------------------------------------+

### Flag Without Visible Base

Flag must be applied using the CMP Effect Transformation (not the CMP Mini Transformation). To create a flag without a
player visible base, apply the flag effect to any mini and then hide the mini. Hiding the mini will hide the mini and
base but not the flag effect.

### Flag With Visible Base

Flag must be applied using the CMP Effect Transformation (not the CMP Mini Transformation). To create a flag with a
player visible base, apply any mini transformation to the selected mini using CMP Mini Transformation. Then use the
CMP Mini Transformation Remove option. This will result in a empty base. Now apply the flag effect using CMP Effect
Transformation.